Skip to main content
PATCH
Bulk update records

Authorizations

x-api-key
string
header
required

Public API key for the Octolane organization.

Path Parameters

object_type
enum<string>
required

Object collection to update.

Available options:
accounts,
contacts,
opportunities

Body

application/json

Object keyed by target object UUID. Maximum 50 keys.

Bulk update payload keyed by object UUID. For opportunities, relationship updates are expressed with system field names: opportunity_account for the associated account UUID, opportunity_contact for the primary contact UUID, and opportunity_other_stakeholders for the complete replacement list of additional contact UUIDs. These relationship fields replace the existing mapping for that field instead of appending.

{key}
object

Patch object. For opportunity relationship fields, pass UUID strings for opportunity_account and opportunity_contact, and an array of contact UUID strings for opportunity_other_stakeholders.

Response

Objects were updated.

success
boolean
Example:

true

message
string
data
any

Endpoint-specific response payload.